import { Schema } from './database_libs/AbstractClient';
import { CompletionItem, CompletionItemKind } from 'vscode-languageserver-types';
declare type Pos = {
    line: number;
    column: number;
};
export declare const KEYWORD_ICON: 1;
export declare const COLUMN_ICON: 8;
export declare const TABLE_ICON: 5;
export declare const FUNCTION_ICON: 10;
export declare const ALIAS_ICON: 6;
export declare const UTILITY_ICON: 23;
export declare class Identifier {
    lastToken: string;
    identifier: string;
    detail: string;
    kind: CompletionItemKind;
    constructor(lastToken: string, identifier: string, detail: string, kind: CompletionItemKind);
    matchesLastToken(): boolean;
    toCompletionItem(): CompletionItem;
}
export declare function getLastToken(sql: string): string;
export declare function complete(sql: string, pos: Pos, schema?: Schema, jupyterLabMode?: boolean): {
    candidates: CompletionItem[];
    error: any;
};
export {};
